import { CamelCase, PascalCase } from 'type-fest';
export declare type CamelCasedProps<T> = {
    [K in keyof T as CamelCase<K>]: T[K] extends Array<infer U> | undefined ? Array<U> : CamelCasedProps<T[K]>;
};
export declare type PascalCasedProps<T> = {
    [K in keyof T as PascalCase<K>]: T[K] extends Array<infer U> | undefined ? Array<U> : PascalCasedProps<T[K]>;
};
export declare function pascalCase<T extends string>(str: T): PascalCase<T>;
export declare function pascalCaseProperty<T extends Record<string, any>>(obj: T): PascalCasedProps<T>;
export declare function removeUndefined<T>(obj: T): T;
export declare function deepClone<T>(obj: T): T;
